[arch-commits] CVS update of extra/gnome/nautilus (2 files)

Jan de Groot jgc at archlinux.org
Sat Aug 4 17:52:16 EDT 2007


    Date: Saturday, August 4, 2007 @ 17:52:16
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/nautilus

   Added: search-engine-simple-utf8.patch (1.1)
Modified: PKGBUILD (1.37 -> 1.38)

upgpkg: nautilus 2.18.3-1
Fix search


---------------------------------+
 PKGBUILD                        |    9 ++++++---
 search-engine-simple-utf8.patch |   26 ++++++++++++++++++++++++++
 2 files changed, 32 insertions(+), 3 deletions(-)


Index: extra/gnome/nautilus/PKGBUILD
diff -u extra/gnome/nautilus/PKGBUILD:1.37 extra/gnome/nautilus/PKGBUILD:1.38
--- extra/gnome/nautilus/PKGBUILD:1.37	Sat Jul  7 06:19:34 2007
+++ extra/gnome/nautilus/PKGBUILD	Sat Aug  4 17:52:16 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.37 2007/07/07 10:19:34 jgc Exp $
+# $Id: PKGBUILD,v 1.38 2007/08/04 21:52:16 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=nautilus
@@ -15,12 +15,15 @@
 options=('!libtool')
 install=nautilus.install
 source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.18/${pkgname}-${pkgver}.tar.bz2
-	12_list-view_expand.patch)
-md5sums=('e027b4e1a925122ef3e7f54323cc3c44' 'db774f1f95852ff3ed044d0eb65609fb')
+	12_list-view_expand.patch
+	search-engine-simple-utf8.patch)
+md5sums=('e027b4e1a925122ef3e7f54323cc3c44' 'db774f1f95852ff3ed044d0eb65609fb'
+	 '0faad172904026de5861c32473c2446b')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   patch -Np1 -i ${startdir}/src/12_list-view_expand.patch || return 1
+  patch -Np2 -i ${startdir}/src/search-engine-simple-utf8.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
 	      --disable-update-mimedb
Index: extra/gnome/nautilus/search-engine-simple-utf8.patch
diff -u /dev/null extra/gnome/nautilus/search-engine-simple-utf8.patch:1.1
--- /dev/null	Sat Aug  4 17:52:16 2007
+++ extra/gnome/nautilus/search-engine-simple-utf8.patch	Sat Aug  4 17:52:16 2007
@@ -0,0 +1,26 @@
+--- branches/gnome-2-18/libnautilus-private/nautilus-search-engine-simple.c	2007/07/02 21:48:53	12975
++++ branches/gnome-2-18/libnautilus-private/nautilus-search-engine-simple.c	2007/07/30 21:24:02	13034
+@@ -213,8 +213,13 @@
+ 	hit = FALSE;
+ 
+ 	if (!is_hidden) {
+-		normalized = g_utf8_normalize (info->name, -1, G_NORMALIZE_NFD);
+-		lower_name = g_utf8_strdown (normalized, -1);
++		if (g_utf8_validate (info->name, -1, NULL)) {
++			normalized = g_utf8_normalize (info->name, -1, G_NORMALIZE_NFD);
++			lower_name = g_utf8_strdown (normalized, -1);
++			g_free (normalized);
++		} else {
++			lower_name = g_ascii_strdown (info->name, -1);
++		}
+ 		
+ 		hit = TRUE;
+ 		for (i = 0; data->words[i] != NULL; i++) {
+@@ -224,7 +229,6 @@
+ 			}
+ 		}
+ 		g_free (lower_name);
+-		g_free (normalized);
+ 	}
+ 
+ 	if (hit && data->mime_types != NULL) {




More information about the arch-commits mailing list